Module | Syslog
In: | syslog/syslog.c

Init for package syslog

### Methods

LOG_MASK LOG_UPTO close facility ident inspect instance log mask mask= open open! opened? options reopen

### Included Modules

mSyslogConstants

### Classes and Modules

Module Syslog::Constants

### Public Instance methods

LOG_MASK(p1)
LOG_UPTO(p1)
close()

Syslog module methods

[Source]

    /* Syslog module methods */
    static VALUE mSyslog_close(VALUE self)
    {
        if (!syslog_opened) {
            rb_raise(rb_eRuntimeError, "syslog not opened");
        }

        closelog();

        free((void *)syslog_ident);
        syslog_ident = NULL;
        syslog_options = syslog_facility = syslog_mask = -1;
        syslog_opened = 0;

        return Qnil;
    }

facility()
ident()
inspect()
instance()
log(...)
mask()
mask=(p1)
open(...)
open!(...)
opened?()
options()
reopen(...)

[Validate]